Subject: [IPsec] ikev2bis issue #183: Replace "X.509" with "PKIX" throughout?

From: Tero Kivinen <[email-masked]>
Date: Thu, 1 Apr 2010 15:18:38 +0300

Paul Hoffman writes:
> We use "X.509" when we probably mean "PKIX". That is, we only care
> about the PKIX profile of X.509, not just the base X.509 spec.
> However, X.509 appears in some of the protocol element names. Can we
> change it throughout to PKIX, or are we stuck with the old name? 

Changing the X.509 to PKIX in the protocol elements does not cause any
changes to the protocol, only to the RFC and IANA registry. If we want
to do this change it is possible. I do not have opinion whether we
should do this change or not, I think people reading RFCs, will
automatically substitute X.509 with PKIX anyways... 
-- 
[email-masked]